#
# git clone https://github.com/FFMS/ffms2.git
# cd ffms2
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git config tar.tar.xz.command "xz -c"
# git archive --format=tar.xz -o ffms2-${DATE}.tar.xz --prefix=ffms2-${DATE}/ master
#
%define gitdate		20211209
%define rel		1

%define major		5
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name:		ffms2
Version:	3.0.1
Release:	%mkrel %{?gitdate:0.0.git%{gitdate}.}%{rel}
Summary:	Wrapper library around libffmpeg
License:	MIT
Group:		System/Libraries
URL:		https://github.com/FFMS/ffms2/
Source0:	https://github.com/FFMS/%{name}/archive/%{version}/%{name}-%{?gitdate}%{!?gitdate:%version}.tar.%{?gitdate:xz}%{!?gitdate:gz}

BuildRequires:	libtool
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(zlib)

%description
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

#---------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

#---------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#---------------------------------------------------------------------------
%prep
%autosetup -n %{name}-%{?gitdate}%{!?gitdate:%version}

sed -i 's/\r$//' COPYING

# make autoreconf happy
mkdir -p src/config

%build
autoreconf -fi
%configure \
	--docdir=%{_docdir}/lib%{name}-devel \
	--enable-shared \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc COPYING
%{_bindir}/ffmsindex

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/ffms*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_docdir}/lib%{name}-devel


%changelog
* Sat Apr 16 2022 wally <wally> 3.0.1-0.0.git20211209.1.mga9
+ Revision: 1850683
- new 20211209 git snapshot version
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.23-6.mga8
+ Revision: 1512229
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.23-5.mga7
+ Revision: 1297690
- Mageia 7 Mass Rebuild

* Thu Apr 26 2018 daviddavid <daviddavid> 2.23-4.mga7
+ Revision: 1222584
- rebuild for new ffmpeg 4.0

* Tue May 02 2017 akien <akien> 2.23-3.mga6
+ Revision: 1098286
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 2.23-2.mga6
+ Revision: 1089853
- Rebuild for ffmpeg 3.2.4

* Sun Oct 23 2016 daviddavid <daviddavid> 2.23-1.mga6
+ Revision: 1063311
- new version: 2.23

* Sun Feb 14 2016 umeabot <umeabot> 2.22-2.mga6
+ Revision: 960078
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 daviddavid <daviddavid> 2.22-1.mga6
+ Revision: 891671
- new version: 2.22

* Sat Jun 20 2015 daviddavid <daviddavid> 2.21-1.mga6
+ Revision: 836918
- new version: 2.21
- now major is 4
- update Source url

* Fri Nov 14 2014 akien <akien> 2.20-4.mga5
+ Revision: 797137
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.20-3.mga5
+ Revision: 741440
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20-2.mga5
+ Revision: 679173
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 daviddavid <daviddavid> 2.20-1.mga5
+ Revision: 640157
- new version: 2.20

* Mon Apr 07 2014 daviddavid <daviddavid> 2.19.1-1.mga5
+ Revision: 612656
- new version: 2.19.1

* Mon Apr 07 2014 daviddavid <daviddavid> 2.19-1.mga5
+ Revision: 612637
- imported package ffms2

